Index: src/gio/SimpleAsyncResult.d
===================================================================
--- src/gio/SimpleAsyncResult.d	(revision 843)
+++ src/gio/SimpleAsyncResult.d	(working copy)
@@ -177,7 +177,7 @@
 		this.gSimpleAsyncResult = gSimpleAsyncResult;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSimpleAsyncResult = cast(GSimpleAsyncResult*)obj;
Index: src/gio/FilenameCompleter.d
===================================================================
--- src/gio/FilenameCompleter.d	(revision 843)
+++ src/gio/FilenameCompleter.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gFilenameCompleter = gFilenameCompleter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFilenameCompleter = cast(GFilenameCompleter*)obj;
Index: src/gio/SocketListener.d
===================================================================
--- src/gio/SocketListener.d	(revision 843)
+++ src/gio/SocketListener.d	(working copy)
@@ -130,7 +130,7 @@
 		this.gSocketListener = gSocketListener;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocketListener = cast(GSocketListener*)obj;
Index: src/gio/SocketControlMessage.d
===================================================================
--- src/gio/SocketControlMessage.d	(revision 843)
+++ src/gio/SocketControlMessage.d	(working copy)
@@ -121,7 +121,7 @@
 		this.gSocketControlMessage = gSocketControlMessage;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocketControlMessage = cast(GSocketControlMessage*)obj;
Index: src/gio/UnixSocketAddress.d
===================================================================
--- src/gio/UnixSocketAddress.d	(revision 843)
+++ src/gio/UnixSocketAddress.d	(working copy)
@@ -107,7 +107,7 @@
 		this.gUnixSocketAddress = gUnixSocketAddress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixSocketAddress = cast(GUnixSocketAddress*)obj;
Index: src/gio/MemoryInputStream.d
===================================================================
--- src/gio/MemoryInputStream.d	(revision 843)
+++ src/gio/MemoryInputStream.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gMemoryInputStream = gMemoryInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gMemoryInputStream = cast(GMemoryInputStream*)obj;
Index: src/gio/InetAddress.d
===================================================================
--- src/gio/InetAddress.d	(revision 843)
+++ src/gio/InetAddress.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gInetAddress = gInetAddress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gInetAddress = cast(GInetAddress*)obj;
Index: src/gio/TcpConnection.d
===================================================================
--- src/gio/TcpConnection.d	(revision 843)
+++ src/gio/TcpConnection.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gTcpConnection = gTcpConnection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gTcpConnection = cast(GTcpConnection*)obj;
Index: src/gio/ThreadedSocketService.d
===================================================================
--- src/gio/ThreadedSocketService.d	(revision 843)
+++ src/gio/ThreadedSocketService.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gThreadedSocketService = gThreadedSocketService;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gThreadedSocketService = cast(GThreadedSocketService*)obj;
Index: src/gio/OutputStream.d
===================================================================
--- src/gio/OutputStream.d	(revision 843)
+++ src/gio/OutputStream.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gOutputStream = gOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gOutputStream = cast(GOutputStream*)obj;
Index: src/gio/FileOutputStream.d
===================================================================
--- src/gio/FileOutputStream.d	(revision 843)
+++ src/gio/FileOutputStream.d	(working copy)
@@ -136,7 +136,7 @@
 		this.gFileOutputStream = gFileOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileOutputStream = cast(GFileOutputStream*)obj;
Index: src/gio/IOModule.d
===================================================================
--- src/gio/IOModule.d	(revision 843)
+++ src/gio/IOModule.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gIOModule = gIOModule;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gIOModule = cast(GIOModule*)obj;
Index: src/gio/UnixMountMonitor.d
===================================================================
--- src/gio/UnixMountMonitor.d	(revision 843)
+++ src/gio/UnixMountMonitor.d	(working copy)
@@ -110,7 +110,7 @@
 		this.gUnixMountMonitor = gUnixMountMonitor;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixMountMonitor = cast(GUnixMountMonitor*)obj;
Index: src/gio/UnixInputStream.d
===================================================================
--- src/gio/UnixInputStream.d	(revision 843)
+++ src/gio/UnixInputStream.d	(working copy)
@@ -110,7 +110,7 @@
 		this.gUnixInputStream = gUnixInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixInputStream = cast(GUnixInputStream*)obj;
Index: src/gio/File.d
===================================================================
--- src/gio/File.d	(revision 843)
+++ src/gio/File.d	(working copy)
@@ -212,7 +212,7 @@
 		this.gFile = gFile;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFile = cast(GFile*)obj;
Index: src/gio/DesktopAppInfo.d
===================================================================
--- src/gio/DesktopAppInfo.d	(revision 843)
+++ src/gio/DesktopAppInfo.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gDesktopAppInfo = gDesktopAppInfo;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gDesktopAppInfo = cast(GDesktopAppInfo*)obj;
Index: src/gio/Socket.d
===================================================================
--- src/gio/Socket.d	(revision 843)
+++ src/gio/Socket.d	(working copy)
@@ -169,7 +169,7 @@
 		this.gSocket = gSocket;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocket = cast(GSocket*)obj;
Index: src/gio/UnixConnection.d
===================================================================
--- src/gio/UnixConnection.d	(revision 843)
+++ src/gio/UnixConnection.d	(working copy)
@@ -121,7 +121,7 @@
 		this.gUnixConnection = gUnixConnection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixConnection = cast(GUnixConnection*)obj;
Index: src/gio/ZlibCompressor.d
===================================================================
--- src/gio/ZlibCompressor.d	(revision 843)
+++ src/gio/ZlibCompressor.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gZlibCompressor = gZlibCompressor;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gZlibCompressor = cast(GZlibCompressor*)obj;
Index: src/gio/BufferedInputStream.d
===================================================================
--- src/gio/BufferedInputStream.d	(revision 843)
+++ src/gio/BufferedInputStream.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gBufferedInputStream = gBufferedInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gBufferedInputStream = cast(GBufferedInputStream*)obj;
Index: src/gio/BufferedOutputStream.d
===================================================================
--- src/gio/BufferedOutputStream.d	(revision 843)
+++ src/gio/BufferedOutputStream.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gBufferedOutputStream = gBufferedOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gBufferedOutputStream = cast(GBufferedOutputStream*)obj;
Index: src/gio/ThemedIcon.d
===================================================================
--- src/gio/ThemedIcon.d	(revision 843)
+++ src/gio/ThemedIcon.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gThemedIcon = gThemedIcon;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gThemedIcon = cast(GThemedIcon*)obj;
Index: src/gio/UnixOutputStream.d
===================================================================
--- src/gio/UnixOutputStream.d	(revision 843)
+++ src/gio/UnixOutputStream.d	(working copy)
@@ -110,7 +110,7 @@
 		this.gUnixOutputStream = gUnixOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixOutputStream = cast(GUnixOutputStream*)obj;
Index: src/gio/IOStream.d
===================================================================
--- src/gio/IOStream.d	(revision 843)
+++ src/gio/IOStream.d	(working copy)
@@ -140,7 +140,7 @@
 		this.gIOStream = gIOStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gIOStream = cast(GIOStream*)obj;
Index: src/gio/FileIOStream.d
===================================================================
--- src/gio/FileIOStream.d	(revision 843)
+++ src/gio/FileIOStream.d	(working copy)
@@ -140,7 +140,7 @@
 		this.gFileIOStream = gFileIOStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileIOStream = cast(GFileIOStream*)obj;
Index: src/gio/ZlibDecompressor.d
===================================================================
--- src/gio/ZlibDecompressor.d	(revision 843)
+++ src/gio/ZlibDecompressor.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gZlibDecompressor = gZlibDecompressor;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gZlibDecompressor = cast(GZlibDecompressor*)obj;
Index: src/gio/SocketClient.d
===================================================================
--- src/gio/SocketClient.d	(revision 843)
+++ src/gio/SocketClient.d	(working copy)
@@ -133,7 +133,7 @@
 		this.gSocketClient = gSocketClient;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocketClient = cast(GSocketClient*)obj;
Index: src/gio/UnixFDList.d
===================================================================
--- src/gio/UnixFDList.d	(revision 843)
+++ src/gio/UnixFDList.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gUnixFDList = gUnixFDList;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixFDList = cast(GUnixFDList*)obj;
Index: src/gio/FileInfo.d
===================================================================
--- src/gio/FileInfo.d	(revision 843)
+++ src/gio/FileInfo.d	(working copy)
@@ -141,7 +141,7 @@
 		this.gFileInfo = gFileInfo;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileInfo = cast(GFileInfo*)obj;
Index: srcsv/gsv/SourceLanguageManager.d
===================================================================
--- srcsv/gsv/SourceLanguageManager.d	(revision 843)
+++ srcsv/gsv/SourceLanguageManager.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkSourceLanguageManager = gtkSourceLanguageManager;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceLanguageManager = cast(GtkSourceLanguageManager*)obj;
Index: srcsv/gsv/SourceCompletionContext.d
===================================================================
--- srcsv/gsv/SourceCompletionContext.d	(revision 843)
+++ srcsv/gsv/SourceCompletionContext.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gtkSourceCompletionContext = gtkSourceCompletionContext;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceCompletionContext = cast(GtkSourceCompletionContext*)obj;
Index: srcsv/gsv/SourceStyleSchemeManager.d
===================================================================
--- srcsv/gsv/SourceStyleSchemeManager.d	(revision 843)
+++ srcsv/gsv/SourceStyleSchemeManager.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gtkSourceStyleSchemeManager = gtkSourceStyleSchemeManager;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceStyleSchemeManager = cast(GtkSourceStyleSchemeManager*)obj;
Index: srcsv/gsv/SourceLanguage.d
===================================================================
--- srcsv/gsv/SourceLanguage.d	(revision 843)
+++ srcsv/gsv/SourceLanguage.d	(working copy)
@@ -110,7 +110,7 @@
 		this.gtkSourceLanguage = gtkSourceLanguage;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceLanguage = cast(GtkSourceLanguage*)obj;
Index: srcsv/gsv/SourceStyleScheme.d
===================================================================
--- srcsv/gsv/SourceStyleScheme.d	(revision 843)
+++ srcsv/gsv/SourceStyleScheme.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkSourceStyleScheme = gtkSourceStyleScheme;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceStyleScheme = cast(GtkSourceStyleScheme*)obj;
Index: srcsv/gsv/SourceCompletionInfo.d
===================================================================
--- srcsv/gsv/SourceCompletionInfo.d	(revision 843)
+++ srcsv/gsv/SourceCompletionInfo.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gtkSourceCompletionInfo = gtkSourceCompletionInfo;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceCompletionInfo = cast(GtkSourceCompletionInfo*)obj;
Index: srcsv/gsv/SourceCompletionItem.d
===================================================================
--- srcsv/gsv/SourceCompletionItem.d	(revision 843)
+++ srcsv/gsv/SourceCompletionItem.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gtkSourceCompletionItem = gtkSourceCompletionItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceCompletionItem = cast(GtkSourceCompletionItem*)obj;
Index: srcsv/gsv/SourceMark.d
===================================================================
--- srcsv/gsv/SourceMark.d	(revision 843)
+++ srcsv/gsv/SourceMark.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gtkSourceMark = gtkSourceMark;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceMark = cast(GtkSourceMark*)obj;
Index: srcsv/gsv/SourceStyle.d
===================================================================
--- srcsv/gsv/SourceStyle.d	(revision 843)
+++ srcsv/gsv/SourceStyle.d	(working copy)
@@ -107,7 +107,7 @@
 		this.gtkSourceStyle = gtkSourceStyle;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceStyle = cast(GtkSourceStyle*)obj;
Index: srcsv/gsv/SourceBuffer.d
===================================================================
--- srcsv/gsv/SourceBuffer.d	(revision 843)
+++ srcsv/gsv/SourceBuffer.d	(working copy)
@@ -135,7 +135,7 @@
 		this.gtkSourceBuffer = gtkSourceBuffer;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceBuffer = cast(GtkSourceBuffer*)obj;
Index: srcsv/gsv/SourceCompletion.d
===================================================================
--- srcsv/gsv/SourceCompletion.d	(revision 843)
+++ srcsv/gsv/SourceCompletion.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkSourceCompletion = gtkSourceCompletion;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceCompletion = cast(GtkSourceCompletion*)obj;
Index: srcsv/gsv/SourceGutter.d
===================================================================
--- srcsv/gsv/SourceGutter.d	(revision 843)
+++ srcsv/gsv/SourceGutter.d	(working copy)
@@ -132,7 +132,7 @@
 		this.gtkSourceGutter = gtkSourceGutter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceGutter = cast(GtkSourceGutter*)obj;
Index: srcsv/gsv/SourceView.d
===================================================================
--- srcsv/gsv/SourceView.d	(revision 843)
+++ srcsv/gsv/SourceView.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkSourceView = gtkSourceView;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourceView = cast(GtkSourceView*)obj;
Index: srcsv/gsv/SourcePrintCompositor.d
===================================================================
--- srcsv/gsv/SourcePrintCompositor.d	(revision 843)
+++ srcsv/gsv/SourcePrintCompositor.d	(working copy)
@@ -126,7 +126,7 @@
 		this.gtkSourcePrintCompositor = gtkSourcePrintCompositor;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSourcePrintCompositor = cast(GtkSourcePrintCompositor*)obj;
Index: srcgstreamer/gstreamer/Plugin.d
===================================================================
--- srcgstreamer/gstreamer/Plugin.d	(revision 843)
+++ srcgstreamer/gstreamer/Plugin.d	(working copy)
@@ -135,7 +135,7 @@
 		this.gstPlugin = gstPlugin;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstPlugin = cast(GstPlugin*)obj;
Index: srcgstreamer/gstreamer/Task.d
===================================================================
--- srcgstreamer/gstreamer/Task.d	(revision 843)
+++ srcgstreamer/gstreamer/Task.d	(working copy)
@@ -131,7 +131,7 @@
 		this.gstTask = gstTask;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstTask = cast(GstTask*)obj;
Index: srcgstreamer/gstreamer/Pad.d
===================================================================
--- srcgstreamer/gstreamer/Pad.d	(revision 843)
+++ srcgstreamer/gstreamer/Pad.d	(working copy)
@@ -161,7 +161,7 @@
 		this.gstPad = gstPad;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstPad = cast(GstPad*)obj;
Index: srcgstreamer/gstreamer/Pipeline.d
===================================================================
--- srcgstreamer/gstreamer/Pipeline.d	(revision 843)
+++ srcgstreamer/gstreamer/Pipeline.d	(working copy)
@@ -159,7 +159,7 @@
 		this.gstPipeline = gstPipeline;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstPipeline = cast(GstPipeline*)obj;
Index: srcgstreamer/gstreamer/Bin.d
===================================================================
--- srcgstreamer/gstreamer/Bin.d	(revision 843)
+++ srcgstreamer/gstreamer/Bin.d	(working copy)
@@ -200,7 +200,7 @@
 		this.gstBin = gstBin;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstBin = cast(GstBin*)obj;
Index: srcgstreamer/gstreamer/GhostPad.d
===================================================================
--- srcgstreamer/gstreamer/GhostPad.d	(revision 843)
+++ srcgstreamer/gstreamer/GhostPad.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gstGhostPad = gstGhostPad;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstGhostPad = cast(GstGhostPad*)obj;
Index: srcgstreamer/gstreamer/PluginFeature.d
===================================================================
--- srcgstreamer/gstreamer/PluginFeature.d	(revision 843)
+++ srcgstreamer/gstreamer/PluginFeature.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gstPluginFeature = gstPluginFeature;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstPluginFeature = cast(GstPluginFeature*)obj;
Index: srcgstreamer/gstreamer/TypeFindFactory.d
===================================================================
--- srcgstreamer/gstreamer/TypeFindFactory.d	(revision 843)
+++ srcgstreamer/gstreamer/TypeFindFactory.d	(working copy)
@@ -165,7 +165,7 @@
 		this.gstTypeFindFactory = gstTypeFindFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstTypeFindFactory = cast(GstTypeFindFactory*)obj;
Index: srcgstreamer/gstreamer/ObjectGst.d
===================================================================
--- srcgstreamer/gstreamer/ObjectGst.d	(revision 843)
+++ srcgstreamer/gstreamer/ObjectGst.d	(working copy)
@@ -164,7 +164,7 @@
 		this.gstObject = gstObject;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstObject = cast(GstObject*)obj;
Index: srcgstreamer/gstreamer/Bus.d
===================================================================
--- srcgstreamer/gstreamer/Bus.d	(revision 843)
+++ srcgstreamer/gstreamer/Bus.d	(working copy)
@@ -149,7 +149,7 @@
 		this.gstBus = gstBus;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstBus = cast(GstBus*)obj;
Index: srcgstreamer/gstreamer/Clock.d
===================================================================
--- srcgstreamer/gstreamer/Clock.d	(revision 843)
+++ srcgstreamer/gstreamer/Clock.d	(working copy)
@@ -168,7 +168,7 @@
 		this.gstClock = gstClock;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstClock = cast(GstClock*)obj;
Index: srcgstreamer/gstreamer/IndexFactory.d
===================================================================
--- srcgstreamer/gstreamer/IndexFactory.d	(revision 843)
+++ srcgstreamer/gstreamer/IndexFactory.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gstIndexFactory = gstIndexFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstIndexFactory = cast(GstIndexFactory*)obj;
Index: srcgstreamer/gstreamer/PadTemplate.d
===================================================================
--- srcgstreamer/gstreamer/PadTemplate.d	(revision 843)
+++ srcgstreamer/gstreamer/PadTemplate.d	(working copy)
@@ -167,7 +167,7 @@
 		this.gstPadTemplate = gstPadTemplate;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstPadTemplate = cast(GstPadTemplate*)obj;
Index: srcgstreamer/gstreamer/SystemClock.d
===================================================================
--- srcgstreamer/gstreamer/SystemClock.d	(revision 843)
+++ srcgstreamer/gstreamer/SystemClock.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gstSystemClock = gstSystemClock;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstSystemClock = cast(GstSystemClock*)obj;
Index: srcgstreamer/gstreamer/Index.d
===================================================================
--- srcgstreamer/gstreamer/Index.d	(revision 843)
+++ srcgstreamer/gstreamer/Index.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gstIndex = gstIndex;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstIndex = cast(GstIndex*)obj;
Index: srcgstreamer/gstreamer/Registry.d
===================================================================
--- srcgstreamer/gstreamer/Registry.d	(revision 843)
+++ srcgstreamer/gstreamer/Registry.d	(working copy)
@@ -160,7 +160,7 @@
 		this.gstRegistry = gstRegistry;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstRegistry = cast(GstRegistry*)obj;
Index: srcgstreamer/gstreamer/ElementFactory.d
===================================================================
--- srcgstreamer/gstreamer/ElementFactory.d	(revision 843)
+++ srcgstreamer/gstreamer/ElementFactory.d	(working copy)
@@ -139,7 +139,7 @@
 		this.gstElementFactory = gstElementFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstElementFactory = cast(GstElementFactory*)obj;
Index: srcgstreamer/gstreamer/Element.d
===================================================================
--- srcgstreamer/gstreamer/Element.d	(revision 843)
+++ srcgstreamer/gstreamer/Element.d	(working copy)
@@ -184,7 +184,7 @@
 		this.gstElement = gstElement;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gstElement = cast(GstElement*)obj;
Index: srcgda/gda/DataModelHash.d
===================================================================
--- srcgda/gda/DataModelHash.d	(revision 843)
+++ srcgda/gda/DataModelHash.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gdaDataModelHash = gdaDataModelHash;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaDataModelHash = cast(GdaDataModelHash*)obj;
Index: srcgda/gda/Connection.d
===================================================================
--- srcgda/gda/Connection.d	(revision 843)
+++ srcgda/gda/Connection.d	(working copy)
@@ -139,7 +139,7 @@
 		this.gdaConnection = gdaConnection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaConnection = cast(GdaConnection*)obj;
Index: srcgda/gda/ErrorGda.d
===================================================================
--- srcgda/gda/ErrorGda.d	(revision 843)
+++ srcgda/gda/ErrorGda.d	(working copy)
@@ -109,7 +109,7 @@
 		this.gdaError = gdaError;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaError = cast(GdaError*)obj;
Index: srcgda/gda/Client.d
===================================================================
--- srcgda/gda/Client.d	(revision 843)
+++ srcgda/gda/Client.d	(working copy)
@@ -130,7 +130,7 @@
 		this.gdaClient = gdaClient;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaClient = cast(GdaClient*)obj;
Index: srcgda/gda/Select.d
===================================================================
--- srcgda/gda/Select.d	(revision 843)
+++ srcgda/gda/Select.d	(working copy)
@@ -110,7 +110,7 @@
 		this.gdaSelect = gdaSelect;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaSelect = cast(GdaSelect*)obj;
Index: srcgda/gda/Export.d
===================================================================
--- srcgda/gda/Export.d	(revision 843)
+++ srcgda/gda/Export.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gdaExport = gdaExport;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaExport = cast(GdaExport*)obj;
Index: srcgda/gda/Transaction.d
===================================================================
--- srcgda/gda/Transaction.d	(revision 843)
+++ srcgda/gda/Transaction.d	(working copy)
@@ -106,7 +106,7 @@
 		this.gdaTransaction = gdaTransaction;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaTransaction = cast(GdaTransaction*)obj;
Index: srcgda/gda/DataModelList.d
===================================================================
--- srcgda/gda/DataModelList.d	(revision 843)
+++ srcgda/gda/DataModelList.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gdaDataModelList = gdaDataModelList;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaDataModelList = cast(GdaDataModelList*)obj;
Index: srcgda/gda/Table.d
===================================================================
--- srcgda/gda/Table.d	(revision 843)
+++ srcgda/gda/Table.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gdaTable = gdaTable;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaTable = cast(GdaTable*)obj;
Index: srcgda/gda/DataModelArray.d
===================================================================
--- srcgda/gda/DataModelArray.d	(revision 843)
+++ srcgda/gda/DataModelArray.d	(working copy)
@@ -104,7 +104,7 @@
 		this.gdaDataModelArray = gdaDataModelArray;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaDataModelArray = cast(GdaDataModelArray*)obj;
Index: srcgda/gda/DataModel.d
===================================================================
--- srcgda/gda/DataModel.d	(revision 843)
+++ srcgda/gda/DataModel.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gdaDataModel = gdaDataModel;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdaDataModel = cast(GdaDataModel*)obj;
Index: demos/gtkD/TestWindow/TestWindow.d
===================================================================
--- demos/gtkD/TestWindow/TestWindow.d	(revision 843)
+++ demos/gtkD/TestWindow/TestWindow.d	(working copy)
@@ -950,7 +950,8 @@
 				gdkThreadsLeave();
 				yield();
 			}
-			assert(0);
+			//return 1;
+                        assert(0);
 		}
 	}
 
Index: wrap/utils/GtkDClass.d
===================================================================
--- wrap/utils/GtkDClass.d	(revision 843)
+++ wrap/utils/GtkDClass.d	(working copy)
@@ -650,7 +650,7 @@
 								&& gtkDParentName != "Surface" )
 							{
 								text ~= "";
-								text ~= "protected void setStruct(GObject* obj)";
+								text ~= "protected override void setStruct(GObject* obj)";
 								text ~= "{";
 								text ~= "	super.setStruct(obj);";
 								text ~= "	"~var~" = cast("~gtkStruct~"*)obj;";
